Transactions

Get List of Transactions for an Account

get

Retrieve a paginated list of transactions for a specific account.

Authorizations
api_keystringRequired
Path parameters
accountIdstringRequired

Unique identifier of the account

Query parameters
pageintegerOptional

Page number of the transactions list

pageSizeintegerOptional

Number of transactions per page

Responses
chevron-right
200

A list of transactions for the specified account

application/json
totalintegerOptional

Total number of transactions for the account

totalPagesintegerOptional

Total number of pages

currentPageintegerOptional

Current page number

get
/account/{accountId}/transactions

Add funds to an account

post

Endpoint to add funds to a specific account. This involves a payment transaction which, upon successful completion, updates the account balance.

Authorizations
api_keystringRequired
Path parameters
accountIdstringRequired

Account ID

Body
amountnumber · floatRequiredExample: 100
Responses
chevron-right
200

Funds added successfully

application/json
transaction_idstringOptionalExample: txn_123456789
updated_balancenumber · floatOptionalExample: 200
post
/account/{accountId}/transactions/add-funds

Record account usage

post

Endpoint to record the usage of services against an account.

Authorizations
api_keystringRequired
Path parameters
accountIdstringRequired

Account ID

Body
detailsstringRequiredExample: 100 tokens
amountnumber · floatRequiredExample: 15.75
datestring · timestampRequiredExample: 2010-01-01 00.00:00
metadataobjectOptional
Responses
chevron-right
200

Usage recorded successfully

application/json
statusstringOptionalExample: Usage recorded successfully
new_balancenumber · floatOptionalExample: 284.25
post
/account/{accountId}/transactions/record-usage

Last updated